From cf7a4151c76305d3a18f0e6f1886b5a5cdecfdd3 Mon Sep 17 00:00:00 2001
From: Kai Stian Olstad <void@olstad.com>
Date: Thu, 30 May 2019 20:32:17 +0200
Subject: [PATCH 1/2] New package: kodi-addon-vfs-rar-2.0.7

---
 srcpkgs/kodi-addon-vfs-rar/template | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
 create mode 100644 srcpkgs/kodi-addon-vfs-rar/template

diff --git a/srcpkgs/kodi-addon-vfs-rar/template b/srcpkgs/kodi-addon-vfs-rar/template
new file mode 100644
index 00000000000..21a5dd8b785
--- /dev/null
+++ b/srcpkgs/kodi-addon-vfs-rar/template
@@ -0,0 +1,15 @@
+# Template file for 'kodi-addon-vfs-rar'
+pkgname=kodi-addon-vfs-rar
+version=2.0.7
+revision=1
+_kodi_release=Leia
+wrksrc="vfs.rar-${version}-${_kodi_release}"
+build_style=cmake
+makedepends="kodi-devel kodi-platform p8-platform-devel"
+short_desc="RAR VFS addon for Kodi"
+maintainer="Kai Stian Olstad <void@olstad.com>"
+license="GPL-2.0-or-later"
+homepage="https://github.com/xbmc/vfs.rar"
+distfiles="https://github.com/xbmc/vfs.rar/archive/${version}-${_kodi_release}.tar.gz"
+checksum=b42db08aae80a10cfe3534b72241737c3fac39fc1d4bbb8473163b9a30d12251
+nocross="depends on kodi-platform"

From fee65760764f8bff89aad3bddf61203dd1fb9b34 Mon Sep 17 00:00:00 2001
From: Kai Stian Olstad <void@olstad.com>
Date: Thu, 30 May 2019 20:37:06 +0200
Subject: [PATCH 2/2] kodi-binary-addons: update to 18.2, add
 kodi-addon-vfs-rar to depends

---
 srcpkgs/kodi-binary-addons/template | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/kodi-binary-addons/template b/srcpkgs/kodi-binary-addons/template
index 4c60c767311..3de8815175d 100644
--- a/srcpkgs/kodi-binary-addons/template
+++ b/srcpkgs/kodi-binary-addons/template
@@ -1,12 +1,13 @@
 # Template file for 'kodi-binary-addons'
 pkgname=kodi-binary-addons
-version=18.1
-revision=5
+version=18.2
+revision=1
 archs=noarch
 build_style=meta
 depends="kodi-addon-pvr-zattoo kodi-addon-game-libretro
  kodi-addon-peripheral-joystick kodi-addon-inputstream-rtmp
- kodi-addon-inputstream-adaptive kodi-addon-pvr-hts kodi-addon-pvr-iptvsimple"
+ kodi-addon-inputstream-adaptive kodi-addon-pvr-hts kodi-addon-pvr-iptvsimple
+ kodi-addon-vfs-rar"
 short_desc="Meta-package for binary kodi addons"
 maintainer="Helmut Pozimski <helmut@pozimski.eu>"
 license="metapackage"
